%define debug_package %{nil}

Name: libmsiecf
Version: 20150708
Release: 1%{?dist}
Summary: Library to access the MSIE Cache File (index.dat) format.
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1: %{name}-%{version}-patch-001
%endif
URL: http://code.google.com/p/libmsiecf/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
             
               

%description
libmsiecf is a library to access the MSIE Cache File (index.dat) format.

%package devel
Summary: Header files and libraries for developing applications for libmsiecf
Group: Development/Libraries
Requires: libmsiecf = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libmsiecf.

%package tools
Summary: Several tools for reading MSIE Cache File (index.dat).
Group: Applications/System
Requires: libmsiecf = %{version}-%{release} 
 

%description tools
Several tools for reading MSIE Cache File (index.dat).

%package python
Summary: Python bindings for libmsiecf
Group: System Environment/Libraries
Requires: libmsiecf = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libmsiecf

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pymsiecf/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmsiecf.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/msiecfexport
%attr(755,root,root) %{_bindir}/msiecfinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Fri Jul  8 2015 Lawrence R. Rogers <lrr@cert.org> 20150708-1
* Release 20150708-1
	20150708
	* worked on check signature

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150314-2
* Release 20150314-2
	Libuna GCC-5 Patch

* Sat Mar 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150314-1
* Release 20150314-1
	20150314
	* updated version

	20150313
	* worked on Python bindings cache directory support

	20150308
	* worked on Python bindings cache directory support

* Tue Jan  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141222
	* worked on Python 3 support
	* worked on tests

	20141130
	* code clean up

	20141118
	* code clean up

* Sat Oct 25 2014 Lawrence R. Rogers <lrr@cert.org> 20141025-1
* Release 20141025-1
	20141025
	* changes for deployment

	20141024
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20141004
	* bug fix in Python-bindings
	* update Python-bindings tests

	20140930
	* removed README.macosx
	* changes for project site move

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-1
* Release 20140731-1
	20140731
	* bug fix in Python-bindings

	20140723
	* worked on dpkg debug packages support

	20140323
	* worked on Python bindings

	20140317
	* worked on setup.py

* Fri Jan 31 2014 Joachim Metz <joachim.metz@gmail.com> 20140131-1
- Auto-generated

